Getting Started

This Getting Started help serves as an introduction to PowerChute Business Edition Single Node Agent and includes a description of the product and the installation procedure.

Note:
This help sometimes uses PowerChute to represent PowerChute Business Edition.

PowerChute Business Edition Single Node Agent
The Agent provides UPS status monitoring and, in the event of an extended power outage, system shutdown capabilities for your UPS-protected computers.

This software must be installed on each computer that is directly attached to one of the UPS systems described in Supported UPS Models.

See also Accessing the PowerChute Business Edition Agent User Interface.

Copyright © 2008
American Power Conversion Corp.
http://www.apc.com
All rights reserved.
Last updated: November 05, 2008.


Installation Procedure

Follow the step below to perform the installation.

  • Install the PowerChute Business Edition Agent

You might find this section useful:

  • Silent Installation of a Windows Agent
Note:
You must uninstall other types of APC PowerChute applications before trying to install PowerChute Business Edition Agent. These applications include PowerChute plus, PowerChute Personal Edition, and PowerChute Network Shutdown.
Copyright © 2008


Install the PowerChute Business Edition Agent

Install the PowerChute Agent on each of your UPS-protected computers.

It is possible to install the Agent on several different operating systems. If you are downloading from the APC Web site and installing to Windows, download the setup executable file and double-click to start the installation. For the Linux, X86, and Solaris operating systems, please see the SolarisReadMe.txt, Solaris_x86ReadMe.txt, & Linuxreadme.txt files.

Follow the steps below.

  1. Click on the Install button for a standard installation, or if you are upgrading PowerChute Business Edition, click on the Update button to install over an existing installation.
  2. Accept the license agreement.
  3. Choose the destination location for the PowerChute Agent files.

    4. You are not asked for a location during an update-type installation. The previous value is used by default.

  4. Allow the install to automatically detect your attached UPS.

    5. You are not asked to select a UPS during an update-type installation. The previously used one is selected by default.

    Notes:
    If you click No when asked, “Would you like to automatically search all communications ports for an APC UPS,” a dialog box appears which you use to select the UPS type and Communication Port that the PowerChute Agent’s host uses.

    If your UPS uses simple-signaling, then you have to detect it manually. If you are using a simple-signaling UPS with an accessory such as Interface Expander or Share-UPS, then select the basic port of the accessory. This will enable you to support both Timer Mode and Confirm Mode.
  5. Enter a user name and password. They do not have to match any computer, administrator, or domain accounts.

    6. You are not asked for a user name and password during an update-type installation. The previous values are used by default.


Silent Installation of a Windows Agent

With a normal, non-silent installation it is usually necessary to respond to prompts during the installation. Silent installations do not prompt for input because they already have the answers.

Step 1: Creating a Silent Installation Answer File
  1. Remove all components of PowerChute from your working computer.
  2. Copy the bin\agent folder from the PowerChute CD to a local folder such as C:\agent.
  3. Launch a command prompt by selecting the Windows start button and then Run, and typing command in the box. Click OK.
  4. Make sure that a UPS is attached to the machine.
  5. At the command prompt, type
    <agent path>setup.exe -r
    e.g. C:\agent\setup.exe -r
    -r records the answers you provide during the installation process.

    6. During the installation, select the option to have PowerChute automatically detect the UPS. Then, during the silent installations, the UPS will be detected even if it is on a different port.

  6. The installation creates a file named setup.iss (in the \Windows folder). Search to find it, if necessary. Copy it to the agent folder you created in step 2 above.
Step 2: Performing a Silent Installation

The silent installation uses the answer file you created in the previous section.

  1. Copy the entire agent folder (containing the setup.iss file) to the computer where the silent installation is to be performed.

    2. Alternatively, you could copy the folder to a network drive and map to that drive from each installation computer. See an example involving a mapped drive W: below in step 3.

  2. Launch a command prompt by selecting the Windows start button and then Run, and typing command in the box. Click OK.
  3. At the command prompt, type
    <agent path>setup.exe -s
    e.g. C:\agent\setup.exe -s
    e.g. W:\agent\setup.exe -s
    where w is a mapped network drive

    4. You can also use the -m argument to log the results in an SMS file whose name is status.mif.
    e.g. C:\agent\setup.exe -s -m

    To determine when the silent installation has completed, leave the command prompt window open until the prompt displays again (e.g. C:\agent>). It might take several minutes.

  4. Close the command prompt window.


Accessing the PowerChute Business Edition Agent User Interface

In order to access the PowerChute user interface, please carry out the following actions.

  • Install a 32-bit (x86) version of the Java Runtime Environment (JRE), 1.4.2 or higher. (The Windows x64 platform version is not supported).
  • Add 127.0.0.1 as a trusted site. To do this, follow these steps:
    1. Open Internet Explorer.
    2. From the Tools menu, choose Internet Options.
    3. Choose the Security tab.
    4. Choose the Trusted sites icon then click the Sites... button.
    5. In the Add this web site to the zone field, type 127.0.0.1.
    6. Choose the Add button and then OK twice to exit.

You can access the user interface of the PowerChute Business Edition Agent in two ways, locally and remotely.

To access the PowerChute Business Edition Agent on a local machine, select the Windows Start button, then select PowerChute Business Edition, and Agent Web Interface.

To access the PowerChute Agent remotely, in a Web browser type either of the following URLs, substituting your own values for servername and serverIPaddress:

http://servername:3052
http://serverIPaddress:3052

For example, if your server was named COMP1 with an IP address of 117.14.53.59, you would type one the following:
http://COMP1:3052
http://117.14.53.59:3052


Supported UPS Models

The Release Notes online help file, Relnotes.chm, typically located in C:\Program Files\APC\PowerChute Business Edition, contains information on the software and hardware requirements for this program.